Skip to main content

Delete Work Item

DeleteWorkItem deletes a work item.

It calls DELETE https://dev.azure.com/{organization}/{project}/_apis/wit/workitems/{id}, where {id} is the value of the Id field.

The activity has four tabs: Configuration, Auth, Input, and Output.

Configuration

FieldRequiredDescription
NameOptionalName of the step, should be unique within this workflow.
DescriptionOptionalDescribe the purpose or function of this step.
Api VersionRequiredEnter the version of the API to use.
OrganizationRequiredEnter the name of the organization.
ProjectRequiredEnter the name of the project.
IdRequiredEnter the ID of the resource.
DestroyOptionalIndicates whether to destroy the resource (true or false).

Destroy is a checkbox, and it is a query parameter on the request.

Auth

FieldRequiredDescription
Auth TypeOptionalSelect the authentication method for the request. Options: No Auth, Basic, API Key, OAuth 2.
User NameOptionalUsername for Basic Authentication.
PasswordOptionalPassword for Basic Authentication.

Input

This activity is built on the REST Client, so the Input tab is the generic HTTP request rather than an Azure Boards-shaped payload.

FieldRequiredData TypeDescription
TargetRequiredObjectThe HTTP request.

Output

The activity returns an httpResponse object.

FieldData TypeDescription
status.codeIntegerNumeric HTTP status code.
status.messageStringShort message associated with the HTTP status.
headersObjectHTTP response headers.
bodyObjectParsed body of the response.
FieldData TypeDescription
resourceObjectDescribes a work item.